List venue markets
curl --request GET \
--url https://api.agg.market/venue-markets \
--header 'x-app-id: <api-key>'import requests
url = "https://api.agg.market/venue-markets"
headers = {"x-app-id": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-app-id': '<api-key>'}};
fetch('https://api.agg.market/venue-markets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "<string>",
"externalIdentifier": "<string>",
"question": "<string>",
"venueMarketOutcomes": [
{
"id": "<string>",
"venueMarketId": "<string>",
"label": "<string>",
"externalIdentifier": "<string>",
"title": "<string>",
"price": 0.5,
"winner": true,
"matchedVenueMarketOutcomes": [
{
"venueMarketId": "<string>",
"venueMarketOutcomeId": "<string>"
}
],
"matchDecision": {
"reasonPresets": [
"<string>"
],
"reasonText": "<string>",
"decidedBy": "<string>",
"decidedAt": "<string>"
}
}
],
"marketId": "<string>",
"venueEventId": "<string>",
"description": "<string>",
"rulesPrimary": "<string>",
"rulesSecondary": "<string>",
"conditionId": "<string>",
"volume": 1,
"image": "<string>",
"startDate": "<string>",
"endDate": "<string>",
"creationDate": "<string>",
"createdAt": "<string>",
"resolutionDate": "<string>",
"negRisk": true,
"venues": [],
"venueCount": 1,
"arbReturn": 123,
"aggKey": "<string>",
"sportsMarketType": "<string>",
"sectionRank": 123,
"period": "<string>",
"marketCategory": "<string>",
"marketGroup": "<string>",
"marketSubtype": "<string>",
"lineValue": 123,
"matchedVenueMarkets": [
{
"id": "<string>",
"externalIdentifier": "<string>",
"question": "<string>",
"description": "<string>",
"rulesPrimary": "<string>",
"rulesSecondary": "<string>",
"volume": 1,
"conditionId": "<string>",
"arbReturn": 123,
"shortTitle": "<string>",
"image": "<string>",
"venueEvent": {
"id": "<string>",
"externalIdentifier": "<string>",
"slug": "<string>",
"title": "<string>",
"series": {
"id": "<string>",
"venue": "<string>",
"externalIdentifier": "<string>",
"name": "<string>"
}
},
"venueMarketOutcomes": [
{
"id": "<string>",
"venueMarketId": "<string>",
"label": "<string>",
"title": "<string>",
"price": 123,
"winner": true
}
],
"matchEntry": {
"venueMarketId": "<string>",
"targetVenueMarketId": "<string>",
"matchReason": "<string>",
"matchDetails": {}
}
}
],
"venueEvent": {
"id": "<string>",
"externalIdentifier": "<string>",
"title": "<string>",
"image": "<string>",
"categories": [
{
"id": "<string>",
"category": {
"id": "<string>",
"name": "<string>",
"displayName": "<string>",
"parentId": "<string>",
"eventCount": 123,
"volume24hr": 123,
"volume": 123
}
}
],
"description": "<string>",
"volume": 1,
"startDate": "<string>",
"endDate": "<string>",
"creationDate": "<string>",
"gameStartTime": "<string>",
"slug": "<string>",
"subtitle": "<string>",
"venues": [],
"marketCount": 1,
"venueCount": 1,
"groupMarketCount": 1,
"updatedAt": "<string>",
"venueMarkets": [
{
"id": "<string>",
"externalIdentifier": "<string>",
"question": "<string>",
"venueMarketOutcomes": [
{
"id": "<string>",
"venueMarketId": "<string>",
"label": "<string>",
"externalIdentifier": "<string>",
"title": "<string>",
"price": 0.5,
"winner": true,
"matchedVenueMarketOutcomes": [
{
"venueMarketId": "<string>",
"venueMarketOutcomeId": "<string>"
}
],
"matchDecision": {
"reasonPresets": [
"<string>"
],
"reasonText": "<string>",
"decidedBy": "<string>",
"decidedAt": "<string>"
}
}
],
"marketId": "<string>",
"venueEventId": "<string>",
"description": "<string>",
"rulesPrimary": "<string>",
"rulesSecondary": "<string>",
"conditionId": "<string>",
"volume": 1,
"image": "<string>",
"startDate": "<string>",
"endDate": "<string>",
"creationDate": "<string>",
"createdAt": "<string>",
"resolutionDate": "<string>",
"negRisk": true,
"venues": [],
"venueCount": 1,
"arbReturn": 123,
"aggKey": "<string>",
"sportsMarketType": "<string>",
"sectionRank": 123,
"period": "<string>",
"marketCategory": "<string>",
"marketGroup": "<string>",
"marketSubtype": "<string>",
"lineValue": 123,
"matchedVenueMarkets": [
{
"id": "<string>",
"externalIdentifier": "<string>",
"question": "<string>",
"description": "<string>",
"rulesPrimary": "<string>",
"rulesSecondary": "<string>",
"volume": 1,
"conditionId": "<string>",
"arbReturn": 123,
"shortTitle": "<string>",
"image": "<string>",
"venueEvent": {
"id": "<string>",
"externalIdentifier": "<string>",
"slug": "<string>",
"title": "<string>",
"series": {
"id": "<string>",
"venue": "<string>",
"externalIdentifier": "<string>",
"name": "<string>"
}
},
"venueMarketOutcomes": [
{
"id": "<string>",
"venueMarketId": "<string>",
"label": "<string>",
"title": "<string>",
"price": 123,
"winner": true
}
]
}
]
}
],
"arbReturn": 123,
"series": {
"externalIdentifier": "<string>"
},
"recurrence": "<string>",
"aggKey": "<string>",
"sport": "<string>",
"settlementDiff": {
"sharedSummary": "<string>",
"differences": [
{
"type": "<string>",
"title": "<string>",
"perVenue": {},
"summary": "<string>"
}
]
},
"matchReason": "<string>",
"matchConfidence": 0.5
}
}
],
"nextCursor": "<string>",
"hasMore": true
}{
"message": "<string>"
}{
"message": "<string>"
}Discovery
List venue markets
Returns paginated venue markets with optional filters for venue, status, category, and date range.
GET
/
venue-markets
List venue markets
Authorizations
Your application ID. Required for all app-tier and user-tier routes.
Query Parameters
Available options:
kalshi, polymarket, limitless, opinion, predict, probable, myriad, hyperliquid Available options:
pending, unmatched, review, matched, verified, rejected Available options:
open, closed, resolved, unopened, paused Required range:
1 <= x <= 100Available options:
asc, desc Available options:
volume, volume24hr, createdAt, updatedAt, yesPrice Available options:
list, detail Required range:
0 <= x <= 100Required range:
0 <= x <= 100⌘I